> For the complete documentation index, see [llms.txt](https://docs.mashmatrix.com/mashmatrix-sheet/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mashmatrix.com/mashmatrix-sheet/ja/customization/access_sheet_directly_with_url.md).

# URLでのシートへのアクセス

Enterprise Edition以上の組織でMashmatrix Sheetを利用している場合、以下のURLにアクセスすることで、作成したブックおよびシートを直接画面表示するページを表示することができます。

`https://{{利用しているsalesforceのドメイン名}}/apex/msmxSheet__MsmxSheetView`

Professional EditionのSalesforce組織でMashmatrix Sheet for Professional Editionパッケージを利用している場合は、以下のURLを利用します。

`https://{{利用しているsalesforceのドメイン名}}/apex/msmxSheetPE__MsmxSheetView`

上記のURL中の`利用しているsalesforceのドメイン名`は、以下のいずれかの方法で確認します。

* Salesforceで「私のドメイン」を設定済みの場合、設定したドメイン
  * 設定 > 会社設定 > 私のドメイン から確認可能です
* WebブラウザでSalesforceにログインした直後、WebブラウザのURL欄に表示されるURLのドメイン名

上記のURLではURLパラメータとして以下のパラメータを受け取ることが可能です。

* **id** – コンテキストとなるレコードのID。このID値がフィルタの「関連レコードID」として利用される。
* **bookId** – 表示するブックのID。ブックIDの値はブック設定およびシート設定から参照可能。
* **sheetId** – 表示するシートのID。シートIDの値はシート設定から参照可能。指定されない場合はブックに含まれるシートが全てタブで表示される。

例えば利用しているsalesforceのドメイン名が `mydomain.my.salesforce.com`、ブックIDが`a002v00004EE6cGAAT`のブックのシート`s1`を表示し、さらに関連レコードIDとして`0012v00002jFM1uAAG`を指定する場合、URLは以下のような形式となります。

`https://mydomain.my.salesforce.com/apex/msmxSheet__MsmxSheetView?bookId=a002v00004EE6cGAAT&sheetId=s1&id=0012v00002jFM1uAAG`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mashmatrix.com/mashmatrix-sheet/ja/customization/access_sheet_directly_with_url.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
